---
type: api
title: Start maintenance mode
description: Start maintenance mode of a constructor. It will stop constructing new plans while continuing with on-going ones.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-start-constructor-maintenance-mode
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-start-constructor-maintenance-mode
products:
  - Elastic Cloud Enterprise
---

# Start maintenance mode

## Paths

- `POST` `/platform/infrastructure/constructors/{constructor_id}/maintenance-mode/_start`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `constructor_id` (string)
  Identifier for the constructor

## Description

Start maintenance mode of a constructor. It will stop constructing new plans while continuing with on-going ones.

## Responses

#### `202`

The start maintenance mode command was issued successfully

`application/json`

Type: `EmptyResponse`

#### `403`

The start maintenance mode command was prohibited for the given constructor. (code: `constructors.command_prohibited`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

The constructor specified by {constructor_id} cannot be found. (code: `constructors.constructor_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /platform/infrastructure/constructors/{constructor_id}/maintenance-mode/_start
```

#### curl

```curl
curl -X POST "/platform/infrastructure/constructors/{constructor_id}/maintenance-mode/_start"
```

